%define upstream_name	 Net-Proxy
%define	upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Framework for proxying network connections in many ways
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A Net::Proxy object represents a proxy that accepts connections and then relays
the data transferred between the source and the destination.
The goal of this module is to abstract the different methods used to connect 
from the proxy to the destination.

A proxy is a program that transfer data across a network boundary between a 
client and a server. Net::Proxy introduces the concept of "connectors" 
(implemented as Net::Proxy::Connector subclasses), which abstract the server 
part (connected to the client) and the client part (connected to the server) 
of the proxy.
This architecture makes it easy to implement specific techniques to cross a 
given network boundary, possibly by using a proxy on one side of the network 
fence, and a reverse-proxy on the other side of the fence.

This package also contains utilities such as connect-tunnel and sslh.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/pod-coverage.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/Net
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.130.0-7.mga10
+ Revision: 2200027
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.130.0-6.mga9
+ Revision: 1804955
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-5.mga8
+ Revision: 1495978
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-4.mga7
+ Revision: 1269944
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1031287
- Rebuild for perl 5.22.2

* Thu Apr 07 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 999166
- Mageia 6 Mass Rebuild
+ shlomif <shlomif>
- New version 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 742117
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 685707
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 pterjan <pterjan> 0.120.0-4.mga4
+ Revision: 563358
- Disable broken tests
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 370823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 34026
- mageia rebuild
- imported package perl-Net-Proxy


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 406173
- rebuild using %%perl_convert_version

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.12-1mdv2009.0
+ Revision: 140693
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2008.1
+ Revision: 104564
- update to new version 0.12

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.1
+ Revision: 97520
- update to new version 0.10

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.08-1mdv2008.0
+ Revision: 19962
- add missing BuildRequires
- update to 0.08


* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.0
- New release 0.06
- spec cleanup
- fix directory ownership

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.05-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Apr 18 2006 Michael Scherer <misc@mandriva.org> 0.05-1mdk
- New release 0.05

* Tue Mar 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.04-2mdk
- Add BuildRequires

* Fri Feb 03 2006 Michael Scherer <misc@mandriva.org> 0.04-1mdk
- First Mandriva package

